Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.lang3.text.translate
Class UnicodeEscaper

    java.lang.Object
      org.apache.commons.lang3.text.translate.CharSequenceTranslator
          org.apache.commons.lang3.text.translate.CodePointTranslator
              org.apache.commons.lang3.text.translate.UnicodeEscaper

    public class UnicodeEscaper

extends CodePointTranslator

Translates codepoints to their unicode escaped value.

Since:
  3.0
Version:
  $Id: UnicodeEscaper.java 967237 2010-07-23 20:08:57Z mbenson $
Author:
  Apache Software Foundation

Constructor Summary
`UnicodeEscaper()`

Method Summary
`static UnicodeEscaper` | `above(int codepoint)`
`static UnicodeEscaper` | `below(int codepoint)`
`static UnicodeEscaper` | `between(int codepointLow, int codepointHigh)`
`static UnicodeEscaper` | `outsideOf(int codepointLow, int codepointHigh)`
`boolean` | `translate(int codepoint, Writer out)` Translate the specified codepoint into another.

Methods inherited from class org.apache.commons.lang3.text.translate.CodePointTranslator
`translate`

Methods inherited from class org.apache.commons.lang3.text.translate.CharSequenceTranslator
`hex, translate, translate, with`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnicodeEscaper

    public UnicodeEscaper()

Method Detail

### below

    public static UnicodeEscaper below(int codepoint)

### above

    public static UnicodeEscaper above(int codepoint)

### outsideOf

    public static UnicodeEscaper outsideOf(int codepointLow,
                                           int codepointHigh)

### between

    public static UnicodeEscaper between(int codepointLow,
                                         int codepointHigh)

### translate

    public boolean translate(int codepoint,
                             Writer out)
                      throws IOException

  Translate the specified codepoint into another.

  Specified by:
    `translate` in class `CodePointTranslator`
  Parameters:
    `codepoint` - int character input to translate
    `out` - Writer to optionally push the translated output to
  Returns:
    boolean as to whether translation occurred or not
  Throws:
    `IOException` - if and only if the Writer produces an IOException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.